Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTextType Class Reference

Stores a text area value. More...

Inheritance diagram for eZTextType:

## Public Member Functions
| __construct ()
| initializeClassAttribute ( $classAttribute)
| initializeObjectAttribute ( $contentObjectAttribute, $currentVersion, $originalContentObjectAttribute)
| validateObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| validateCollectionAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| fetchObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| fetchCollectionAttributeHTTPInput ( $collection, $collectionAttribute, $http, $base, $contentObjectAttribute)
| storeObjectAttribute ( $attribute)
| isSimpleStringInsertionSupported ()
| insertSimpleString ( $object, $objectVersion, $objectLanguage, $objectAttribute, $string, &$result)
| objectAttributeContent ( $contentObjectAttribute)
| fetchClassAttributeHTTPInput ( $http, $base, $classAttribute)
| metaData ( $contentObjectAttribute)
| toString ( $contentObjectAttribute)
| fromString ( $contentObjectAttribute, $string)
| hasObjectAttributeContent ( $contentObjectAttribute)
| title ( $data_instance, $name=null)
| isIndexable ()
| isInformationCollector ()
| serializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| unserializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| diff ( $old, $new, $options=false)
| supportsBatchInitializeObjectAttribute ()
Public Member Functions inherited from eZDataType
| __construct ( $dataTypeString, $name, $properties=array())
| eZDataType ( $dataTypeString, $name, $properties=array())
| viewTemplate ( $contentobjectAttribute)
| editTemplate ( $contentobjectAttribute)
| informationTemplate ( $contentobjectAttribute)
| resultTemplate (&$collectionAttribute)
| isA ()
| isTranslatable ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| isHTTPFileInsertionSupported ()
| isRegularFileInsertionSupported ()
| isRelationType ()
| insertHTTPFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $httpFile, $mimeData, &$result)
| insertRegularFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $filePath, &$result)
| hasStoredFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| handleDownload ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| storedFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| productOptionInformation ( $objectAttribute, $optionID, $productItem)
| objectDisplayInformation ( $objectAttribute, $mergeInfo=false)
| classDisplayInformation ( $classAttribute, $mergeInfo=false)
| classAttributeContent ( $classAttribute)
| onPublish ( $contentObjectAttribute, $contentObject, $publishedNodes)
| preStoreClassAttribute ( $classAttribute, $version)
| storeClassAttribute ( $classAttribute, $version)
| storeDefinedClassAttribute ( $classAttribute)
| storeModifiedClassAttribute ( $classAttribute)
| storeVersionedClassAttribute ( $classAttribute, $version)
| preStoreDefinedClassAttribute ( $classAttribute)
| preStoreModifiedClassAttribute ( $classAttribute)
| preStoreVersionedClassAttribute ( $classAttribute, $version)
| validateClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fixupClassAttributeHTTPInput ( $http, $base, $classAttribute)
| customClassAttributeHTTPAction ( $http, $action, $classAttribute)
| fetchActionValue ( $action, $actionName, &$value)
| fixupObjectAttributeHTTPInput ( $http, $base, $objectAttribute)
| fixupCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| customObjectAttributeHTTPAction ( $http, $action, $objectAttribute, $parameters)
| handleCustomObjectHTTPActions ( $http, $attributeDataBaseName, $customActionAttributeArray, $customActionParameters)
| cloneClassAttribute ( $oldClassAttribute, $newClassAttribute)
| repairContentObjectAttribute ( $contentObjectAttribute)
| postInitializeObjectAttribute ( $objectAttribute, $currentVersion, $originalContentObjectAttribute)
| postStore ( $objectAttribute)
| trashStoredObjectAttribute ( $objectAttribute, $version=null)
| restoreTrashedObjectAttribute ( $objectAttribute)
| deleteStoredObjectAttribute ( $objectAttribute, $version=null)
| deleteStoredClassAttribute ( $classAttribute, $version=null)
| deleteNotVersionedStoredClassAttribute (eZContentClassAttribute $classAttribute)
| contentActionList ( $classAttribute)
| hasInformationCollection ()
| isAddToBasketValidationRequired ()
| validateAddToBasket ( $objectAttribute, $data, &$errors)
| isClassAttributeRemovable ( $classAttribute)
| classAttributeRemovableInformation ( $classAttribute, $includeAll=true)
| sortKey ( $objectAttribute)
| sortKeyType ()
| customSorting ()
| customSortingSQL ( $params)
| templateList ()
| serializeContentObjectAttribute ( $package, $objectAttribute)
| unserializeContentObjectAttribute ( $package, $objectAttribute, $attributeNode)
| postUnserializeContentObjectAttribute ( $package, $objectAttribute)
| removeRelatedObjectItem ( $contentObjectAttribute, $objectID)
| fixRelatedObjectItem ( $contentObjectAttribute, $objectID, $mode)
| createContentObjectAttributeDOMNode ( $objectAttribute)
| getDBAFileName ()
| getDBAFilePath ( $checkExtensions=true)
| getDBAExtensionFilePath ()
| importDBDataFromDBAFile ( $dbaFilePath=false)
| batchInitializeObjectAttributeData ( $classAttribute)

## Public Attributes
const | DATA_TYPE_STRING = "eztext"
const | COLS_FIELD = 'data_int1'
const | COLS_VARIABLE = '_eztext_cols_'
| $Attributes
Public Attributes inherited from eZDataType
| $Attributes
| $DataTypeString
| The datatype string ID, used for uniquely identifying a datatype. More...
| $Name
| The descriptive name of the datatype, usually used for displaying to the user. More...

## Additional Inherited Members
Static Public Member Functions inherited from eZDataType
static | create ( $dataTypeString)
static | registeredDataTypes ()
static | register ( $dataTypeString, $className)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)

## Detailed Description

Stores a text area value.

Definition at line 18 of file eztexttype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTextType::__construct | ( |  | ) |

Definition at line 24 of file eztexttype.php.

References ezpI18n\tr().

## Member Function Documentation

## ◆ diff()

eZTextType::diff | ( |  | $old,
|  |  | $new,
|  |  | $options = `false`
| ) |  |

Method used by content diff system to retrieve changes in attributes. This method implements the default behaviour, which is to show old and new version values of the object.

Reimplemented from eZDataType.

Definition at line 250 of file eztexttype.php.

## ◆ fetchClassAttributeHTTPInput()

eZTextType::fetchClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $classAttribute
| ) |  |

Fetches the HTTP input for the content class attribute.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 177 of file eztexttype.php.

## ◆ fetchCollectionAttributeHTTPInput()

eZTextType::fetchCollectionAttributeHTTPInput | ( |  | $collection,
|  |  | $collectionAttribute,
|  |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Fetches the http post variables for collected information

Reimplemented from eZDataType.

Definition at line 129 of file eztexttype.php.

## ◆ fetchObjectAttributeHTTPInput()

eZTextType::fetchObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Fetches the http post var string input and stores it in the data instance.

Reimplemented from eZDataType.

Definition at line 115 of file eztexttype.php.

## ◆ fromString()

eZTextType::fromString | ( |  | $contentObjectAttribute,
|  |  | $string
| ) |  |

Reimplemented from eZDataType.

Definition at line 206 of file eztexttype.php.

## ◆ hasObjectAttributeContent()

eZTextType::hasObjectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns
  `true` if the datatype finds any content in the attribute $contentObjectAttribute.

Reimplemented from eZDataType.

Definition at line 211 of file eztexttype.php.

## ◆ initializeClassAttribute()

eZTextType::initializeClassAttribute | ( |  | $classAttribute | ) |

Set class attribute value for template version

Reimplemented from eZDataType.

Definition at line 34 of file eztexttype.php.

## ◆ initializeObjectAttribute()

eZTextType::initializeObjectAttribute | ( |  | $contentObjectAttribute,
|  |  | $currentVersion,
|  |  | $originalContentObjectAttribute
| ) |  |

Sets the default value.

Reimplemented from eZDataType.

Definition at line 44 of file eztexttype.php.

## ◆ insertSimpleString()

eZTextType::insertSimpleString | ( |  | $object,
|  |  | $objectVersion,
|  |  | $objectLanguage,
|  |  | $objectAttribute,
|  |  | $string,
|  | & | $result
| ) |  |

Inserts the string $string in the `'data_text'` database field.

Reimplemented from eZDataType.

Definition at line 158 of file eztexttype.php.

## ◆ isIndexable()

eZTextType::isIndexable | ( |  | ) |

Returns
  true if the datatype can be indexed

Reimplemented from eZDataType.

Definition at line 224 of file eztexttype.php.

## ◆ isInformationCollector()

eZTextType::isInformationCollector | ( |  | ) |

Returns
  true if the datatype can be used as an information collector

Reimplemented from eZDataType.

Definition at line 229 of file eztexttype.php.

## ◆ isSimpleStringInsertionSupported()

eZTextType::isSimpleStringInsertionSupported | ( |  | ) |

Simple string insertion is supported.

Reimplemented from eZDataType.

Definition at line 150 of file eztexttype.php.

## ◆ metaData()

eZTextType::metaData | ( |  | $contentObjectAttribute | ) |

Returns the meta data used for storing search indeces.

Reimplemented from eZDataType.

Definition at line 192 of file eztexttype.php.

## ◆ objectAttributeContent()

eZTextType::objectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns the content.

Reimplemented from eZDataType.

Definition at line 172 of file eztexttype.php.

## ◆ serializeContentClassAttribute()

eZTextType::serializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Adds the necessary dom structure to the attribute parameters.

Note
  The default is to add unsupported='true' to the attribute node, meaning that the datatype does not support serializing.

Reimplemented from eZDataType.

Definition at line 234 of file eztexttype.php.

## ◆ storeObjectAttribute()

eZTextType::storeObjectAttribute | ( |  | $attribute | ) |

Store the content.

Reimplemented from eZDataType.

Definition at line 143 of file eztexttype.php.

## ◆ supportsBatchInitializeObjectAttribute()

eZTextType::supportsBatchInitializeObjectAttribute | ( |  | ) |

Reimplemented from eZDataType.

Definition at line 259 of file eztexttype.php.

## ◆ title()

eZTextType::title | ( |  | $data_instance,
|  |  | $name = `null`
| ) |  |

Returns the text.

Reimplemented from eZDataType.

Definition at line 219 of file eztexttype.php.

## ◆ toString()

eZTextType::toString | ( |  | $contentObjectAttribute | ) |

Returns
  string representation of an contentobjectattribute data for simplified export

Reimplemented from eZDataType.

Definition at line 201 of file eztexttype.php.

## ◆ unserializeContentClassAttribute()

eZTextType::unserializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Extracts values from the attribute parameters and sets it in the class attribute.

Note
  This function is called after the attribute has been stored and a second store is called after this function is done.

Reimplemented from eZDataType.

Definition at line 244 of file eztexttype.php.

## ◆ validateCollectionAttributeHTTPInput()

eZTextType::validateCollectionAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $objectAttribute
| ) |  |

Validates the input for an object attribute and returns a validation state as defined in eZInputValidator.

Note
  Default implementation does nothing and returns accepted.

Reimplemented from eZDataType.

Definition at line 90 of file eztexttype.php.

References eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, and ezpI18n\tr().

## ◆ validateObjectAttributeHTTPInput()

eZTextType::validateObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Validates the input and returns true if the input was valid for this datatype.

Reimplemented from eZDataType.

Definition at line 63 of file eztexttype.php.

References eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, and ezpI18n\tr().

## Member Data Documentation

## ◆ $Attributes

eZTextType::$Attributes

Definition at line 264 of file eztexttype.php.

## ◆ COLS_FIELD

const eZTextType::COLS_FIELD = 'data_int1'

Definition at line 21 of file eztexttype.php.

## ◆ COLS_VARIABLE

const eZTextType::COLS_VARIABLE = '_eztext_cols_'

Definition at line 22 of file eztexttype.php.

## ◆ DATA_TYPE_STRING

const eZTextType::DATA_TYPE_STRING = "eztext"

Definition at line 20 of file eztexttype.php.

The documentation for this class was generated from the following file:

- eztexttype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.